Subject: Re: [bug#55546] [PATCH 0/1] gnu: Add cl-clog

From: Sharlatan Hellseher <[email-masked]>
Date: Sun, 29 May 2022 12:48:46 +0100

Hi Aurora,

I see you nearly packed cl-clog in March and was stopped by jQuery as
well https://issues.guix.gnu.org/54268.
It's seam to me that my patch was accepted by chance, it needs to be
reverted due to the same reason as yours.

jQuery is a huge JavaScript package nearly non of it's part is packed
in Guix yet. I would be nice have it on board but not in
a nearly future, but I can schedule it on my backing list
https://git.sr.ht/~hellseher/ffab/tree/main/item/TODO

Regards,

On Sun, 29 May 2022 at 02:32, Aurora <[email-masked]> wrote:
>
>
> Sharlatan Hellseher <[email-masked]> writes:
>
> > Sharlatan Hellseher (1):
> >   gnu: Add cl-clog
> >
> >  gnu/packages/lisp-xyz.scm | 50 ++++++++++++++++++++++++++++++++++++++-
> >  1 file changed, 49 insertions(+), 1 deletion(-)
> >
> >
> > base-commit: 31a9003d4f47fe54df61d2313728bc09a21f20d0
>
> I have a concern regarding the inclusion of this package, namely that
> the way cl-clog currently uses jquery as a dependency involves vendoring
> the code into its own repository.
>
> Isn't that contrary to our general guidelines?
>
> - Aurora

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.